summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /net-p2p/bitflu/files
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'net-p2p/bitflu/files')
-rw-r--r--net-p2p/bitflu/files/bitflu.config45
-rw-r--r--net-p2p/bitflu/files/bitflu.initd47
2 files changed, 92 insertions, 0 deletions
diff --git a/net-p2p/bitflu/files/bitflu.config b/net-p2p/bitflu/files/bitflu.config
new file mode 100644
index 000000000000..760a9eb350c7
--- /dev/null
+++ b/net-p2p/bitflu/files/bitflu.config
@@ -0,0 +1,45 @@
+# Written by Bitflu::Configuration@2835 on Thu Jun 30 07:53:38 2011
+autocancel = 1.5
+autocommit = 1
+autoload_dir = /var/lib/bitflu/autoload
+autoload_scan = 300
+chdir =
+checkversion = 1309395241
+completed_downloads = /var/lib/bitflu/seeding
+downspeed = 0
+history = 1
+http_autoloadtorrent = 1
+http_maxthreads = 10
+incomplete_downloads = /var/lib/bitflu/unfinished
+ipv6 = 1
+kademlia_idseed = 0
+logfile = /var/log/bitflu/bitflu.log
+loglevel = 5
+min_free_mb = 0
+pidfile = /var/run/bitflu/bitflu.pid
+plugindir = /usr/lib/bitflu/plugins
+pluginexclude =
+renice = 8
+storage = StorageVFS
+telnet_bind = 127.0.0.1
+telnet_maxhist = 20
+telnet_port = 4001
+telnet_view = type,name=25,hash,peers,pieces,bytes,percent,ratio,up,down,eta,note
+torrent_bind = 0
+torrent_gcpriority = 5
+torrent_importdir = /var/lib/bitflu/import
+torrent_maxpeers = 80
+torrent_maxreq = 6
+torrent_port = 6688
+torrent_totalpeers = 400
+torrent_tracker_autoudp = 1
+torrent_tracker_udpport = 6689
+torrent_trackerblacklist =
+torrent_upslots = 10
+unshared_downloads = /var/lib/bitflu/removed
+upspeed = 35
+vfs_use_fallocate = 0
+webgui_bind = 127.0.0.1
+webgui_port = 4081
+workdir = /var/lib/bitflu
+# EOF #
diff --git a/net-p2p/bitflu/files/bitflu.initd b/net-p2p/bitflu/files/bitflu.initd
new file mode 100644
index 000000000000..41a1696b0b7d
--- /dev/null
+++ b/net-p2p/bitflu/files/bitflu.initd
@@ -0,0 +1,47 @@
+#!/sbin/runscript
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+DAEMON=/usr/sbin/bitflu.pl
+PIDDIR=/var/run/bitflu
+PIDFILE=${PIDDIR}/bitflu.pid
+CONFFILE=/etc/bitflu/bitflu.config
+
+depend() {
+ need net
+}
+
+checkconfig() {
+ if [ ! -f ${CONFFILE} ]; then
+ eerror "No config file ${CONFFILE}"
+ return 1
+ fi
+
+ if [ ! -d ${PIDDIR} ] && ! mkdir -p ${PIDDIR}; then
+ eerror "Failed to create ${PIDDIR}"
+ return 1
+ fi
+
+ chown bitflu:bitflu ${PIDDIR}
+}
+
+start() {
+ checkconfig || return 1
+ ebegin "Starting bitflu"
+ start-stop-daemon --start --pidfile "${PIDFILE}" --user bitflu:bitflu \
+ --exec "${DAEMON}" -- --config="${CONFFILE}" --daemon -q >/dev/null 2>&1
+ eend $?
+}
+
+stop() {
+ ebegin "Stoping bitflu"
+ start-stop-daemon --stop --pidfile "${PIDFILE}" --exec "${DAEMON}"
+ eend $?
+}
+
+restart() {
+ svc_stop
+ sleep 2
+ svc_start
+}